[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Installing a cross-toolchain to build ARM binaries

On Tue, 3 Dec 2013 22:42:10, Tshepang Lekhonkhobe <tshepang@gmail.com> wrote:
> I tried to install a cross-toolchain so I could build Linux kernel on
> amd64 (jessie) for my ARM system. I have this entry in sources.list:
>     deb http://www.emdebian.org/debian sid main
> When I tried to install gcc-4.7-arm-linux-gnueabi, I get an error:
>     cc-4.7-arm-linux-gnueabi : Depends: libgomp1-armel-cross (>=
> 4.7.2-5) but it is not going to be installed
> libgomp1-armel-cross in turn depends on gcc-4.8-base-armel-cross which
> is not available anywhere.
> I did manage to install these cross-build tools, from the same
> repository, and even built a kernel that now runs on these ARM systems
> some weeks ago, but not anymore. Is there something broken in that
> repository? I tried a few other versions of GCC, and still get the
> same issue.

The toolchains dependencies is broken in months...

I tried myself to rebuild... the gcc-4.6 for armel target,
but i realized that we only need to use xapt to full-fill the missing
which is convert the missing libraries from armel repo. Eg.:

$ sudo xapt -a armel -m libgomp1
to generate (in current directory) a
libgomp1-armel-cross_$VERSION_all.deb for your amd64 host,

$ sudo dpkg -i libgomp1-armel-cross_$VERSION_all.deb
to install the generated package

Hope this help,
Sh. Niew

Reply to: